#------------------------------#
#     Sourcing full data       #
#    downloaded from REDCap    #
#------------------------------#
# Set secret token specific to your REDCap project
secret_token = '********'

# Set the url to the api (ex.https://YOUR_REDCAP_INSTALLATION/api/)
api_url = 'https://redcap.vanderbilt.edu/api/'

# --> Code to 'export' data from REDCap
y <- postForm(api_url,
              token=secret_token,
              .opts=curlOptions(url=api_url, ssl.verifypeer=TRUE),
              content = 'record',
              format='csv',
              exportDataAccessGroups='true',
              type='flat')

# Use the output from postForm() to create a data frame of the export data
## Put this line in the downloaded R file from REDCap
data <- read.table(file=textConnection(y), header=TRUE, sep=',', na.strings=c(NA,''),
                   stringsAsFactors=FALSE)

# Removing secret token once data read in
rm(secret_token, y)

names(data) <- tolower(names(data))

